module.exports = {
	slots: [
		{
			name: 'prefix',
			description: 'Slot for the input prefix content',
			type: []
		},
		{
			name: 'suffix',
			description: 'Slot for the input suffix content',
			type: []
		},
		{
			name: 'prepend',
			description: 'Slot for the input prepend content',
			type: []
		},
		{
			name: 'append',
			description: 'Slot for the input append content',
			type: []
		},
		{
			name: 'clearable',
			description: 'Slot for the clearable button',
			type: []
		}
	],
	events: [
		{
			name: 'update:modelValue',
			description: 'Event emitted for setting the modelValue',
			type: []
		}
	],
	props: [
		{
			name: 'color',
			description: 'The color variant of the input',
			type: [
				'light',
				'dark'
			],
			default: 'light'
		},
		{
			name: 'clearable',
			description: 'Display the input as clearable',
			type: [
				'Boolean'
			],
			default: 'false'
		},
		{
			name: 'disabled',
			description: 'The disabled state of the input',
			type: [
				'Boolean'
			],
			default: 'false'
		},
		{
			name: 'id',
			description: 'The id of the internal input element',
			type: [
				'String'
			],
			default: '{"type":"","default":""}'
		},
		{
			name: 'modelValue',
			description: 'Used to set the field value',
			type: [
				'Boolean'
			],
			default: 'false'
		},
		{
			name: 'name',
			description: 'The unique identifier of the input',
			type: [
				'String'
			],
			default: 'uid()'
		},
		{
			name: 'readonly',
			description: 'The readonly state of the input',
			type: [
				'Boolean'
			],
			default: 'false'
		},
		{
			name: 'size',
			description: 'The size variant of the input',
			type: [
				'sm',
				'md',
				'lg'
			],
			default: 'md'
		},
		{
			name: 'tabindex',
			description: 'The tabindex of the input',
			type: [
				'Number',
				'String'
			],
			default: '1'
		}
	]
};
